---
id: 69b2713ff6c21fed2d3ad88b
title: Step 1
challengeType: 1
dashedName: step-1
---

# --description--

Merge sort is a sorting algorithm that uses the divide-and-conquer principle to sort collections of data. That is, it "divides" a collection into smaller sub-parts, and "conquers" the sub-parts by sorting them independently, then merges the sorted sub-parts.

Begin by creating a function called `mergeSort` that takes the parameter `array`.

# --hints--

You should declare a function named `mergeSort` with a single `array` parameter.

```js
assert.isFunction(mergeSort);
const params = __helpers.getFunctionParams(mergeSort.toString());
assert.lengthOf(params, 1);
assert.deepEqual(params[0].name, "array");
```

# --seed--

## --seed-contents--

```js
--fcc-editable-region--

--fcc-editable-region--
```
